import installations.models as app_models
from django.utils.translation import ugettext_lazy as _
from utils import tables

class SectionsTable(tables.ModelTable):
    name = tables.Column(
            verbose_name = _('Section'),
            link = lambda x: x.data.get_absolute_url(),
##            sortable=True,
        )
    class Meta:
        model = app_models.Section
        columns = ('name',)

class WeakpointsTable(tables.ModelTable):
    class Meta:
        model = app_models.Weakpoint
        columns = ('name',)

class Section_SubstancesTable(tables.ModelTable):
    substance = tables.Column(
            verbose_name = _('Substance'),
            link = lambda x: x.data.get_absolute_url(),
        )
    class Meta:
        model = app_models.Section_Substance
        columns = ('substance', 'section', 'aggregation', 'quantity_desired', 'quantity_undesired')

class Section_ReactionsTable(tables.ModelTable):
    reaction = tables.Column(
            verbose_name = _('Reaction'),
            link = lambda x: x.data.get_absolute_url(),
        )
    desired = tables.Column(
            verbose_name = _('Desired'),
            data = lambda x: x.data.desired and u'X' or u'',
        )
    class Meta:
        model = app_models.Section_Reaction
        columns = ('reaction', 'section', 'desired',)

class ScopesTable(tables.ModelTable):
    name = tables.Column(
            verbose_name = _('Scope'),
            link = lambda x: x.data.get_absolute_url(),
        )

    class Meta:
        model = app_models.Scope
        columns = ('name',)

class AnalysesTable(tables.ModelTable):
    name = tables.Column(
            verbose_name = _('Analysis'),
            data = lambda x: u'%s' % x.data,
            link = lambda x: x.data.get_absolute_url(),
        )
