"""
generic celery tasks
"""

from django.conf import settings
from django.utils.translation import ugettext_lazy as _
from utils import reports as utils_reports
from utils.versioning.models import Version, WorkVersion

def mail_pdf_for_object(model, pk, user, language=u'en', choices={}):
    object = model.objects.get(pk=pk)
    pdf = object.get_report(user, language=language, choices=choices)
    utils_reports.send_mail(pdf, user)

def mail_pdf_for_list(listobject, version_id, user, filter, filterdata, language, choices):
    if not version_id:
        version = WorkVersion
    else:
        version = Version.objects.get(pk=version_id)
    pdf = listobject().get_report(version, user, filter(), filterdata, language, choices)
    utils_reports.send_mail(pdf, user)


if settings.USE_CELERY:
    from celery.task import task
    mail_pdf_for_object = task(mail_pdf_for_object)
    mail_pdf_for_list = task(mail_pdf_for_list)
