from django.conf import settings
from django.conf.urls.defaults import *
from django.contrib import admin
from django.views import static

admin.autodiscover()

urlpatterns = patterns('',
    (r'^admin/', include(admin.site.urls)),

    (r'^versioning/', include('utils.versioning.urls')),
    (r'^hazards/', include('hazards.urls')),
    (r'^installations/', include('installations.urls')),
    (r'^analyses/', include('analyses.urls')),
    (r'^users/', include('users.urls')),

    (r'^attachments/', include('utils.attachments.urls')),
    (r'^links/', include('utils.links.urls')),
    (r'^tasks/', include('tasks.urls')),
    (r'^comments/', include('comments.urls')),
    (r'^news/', include('utils.news.urls')),
    (r'^meetings/', include('meetings.urls')),

    (r'^search/', include('utils.search.urls')),

    (r'^i18n/', include('django.conf.urls.i18n')),
    (r'^jsi18n/$', 'django.views.i18n.javascript_catalog',{'packages': 'django.conf'}),
    (r'^accounts/', include('django.contrib.auth.urls')),
    (r'^not_allowed/$', 'django.views.generic.simple.direct_to_template', {'template':'not_allowed.html'}),

)

urlpatterns += patterns('django.views.generic.simple',
    (r'^$',             'direct_to_template', {'template': 'home.html'}),
    (r'^docs/markdown/$',             'direct_to_template', {'template': 'docs/markdown.html'}),
)

if settings.SERVE_STATIC:
    urlpatterns += patterns('',
        (r'^media/(?P<path>.*)$', static.serve,{'document_root' : '../django/contrib/admin/media/'}),
        (r'^sitemedia/(?P<path>.*)$', static.serve,{'document_root' : 'sitemedia/'}),
        (r'^uploads/(?P<path>.*)$', static.serve,{'document_root' : 'uploads/'}),
    )
