from django import forms
from django.utils.translation import ugettext_lazy as _

from utils import fields as utils_fields
from utils import forms as utils_forms
from utils import lists as utils_lists
from utils import widgets as utils_widgets
from utils import sheets
from utils.news.models import Entry

class EntryForm(utils_forms.ModelForm):
    class Meta:
        model = Entry
        fields = ('title', 'body')
        widgets = {
            'body': utils_widgets.MarkItUpWidget()
        }
        attrs = {
            'title': {'size': 70},
            'body': {'rows': 15, 'cols': 60},
        }
class EntrySheet(sheets.Sheet):
    body = utils_fields.MarkdownField(data = 'body', name='body', label=_('Text'))
    class Meta:
        model = Entry
        fields = ('title', 'body')

